Karia
ReferencesOpenapiInvoice

Get invoice

GET
/organisation/{orgId}/workspace/{workspaceId}/invoice/{invoiceId}

Retrieve an invoice in the specified organisation and workspace by numeric ID or invoice reference ID.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
invoiceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/invoice/string"
{
  "id": 0,
  "referenceId": "string",
  "name": "string",
  "description": "string",
  "status": "string",
  "internalStatus": "string",
  "type": "string",
  "frequency": "string",
  "totalAmountDueExGst": "string",
  "totalAmountDueGst": "string",
  "totalAmountPaid": "string",
  "dueDate": "string",
  "createdAt": "string",
  "employerId": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}